Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class TreeSelectionPane.SelectNode

    java.lang.Object
      com.sun.javatest.tool.TreeSelectionPane.SelectNode

All Implemented Interfaces:
  com.sun.javatest.tool.selectiontree.selection.SelectionElement

Enclosing class:
  TreeSelectionPane

    protected class TreeSelectionPane.SelectNode

extends java.lang.Object
implements com.sun.javatest.tool.selectiontree.selection.SelectionElement

Constructor Summary
`TreeSelectionPane.SelectNode(TreeSelectionPane.Model model, java.lang.Object object)`

Method Summary
`java.util.List<com.sun.javatest.tool.selectiontree.selection.SelectionElement>` | `getChildren()` Answer the list with children.
`java.lang.String` | `getDisplayableName()` Answers the UI displayable element name.
`com.sun.javatest.tool.selectiontree.selection.SelectionType` | `getSelectionType()` Answers whether the interface implementor is selected, unselected or have partially selected children.
`java.lang.String` | `getToolTip()` Answers tooltip text for this element.
`boolean` | `isToolTipAlwaysShown()` Answers whether the tooltip should be always shown regardless the displayable name visibility.
`void` | `setSelectionType(com.sun.javatest.tool.selectiontree.selection.SelectionType selectionType)` Sets whether the interface implementor is selected, unselected or have partially selected children.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeSelectionPane.SelectNode

    public TreeSelectionPane.SelectNode(TreeSelectionPane.Model model,
                                        java.lang.Object object)

Method Detail

### getSelectionType

    public com.sun.javatest.tool.selectiontree.selection.SelectionType getSelectionType()

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Answers whether the interface implementor is selected, unselected or have partially selected children.

  Specified by:
    `getSelectionType` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

### setSelectionType

    public void setSelectionType(com.sun.javatest.tool.selectiontree.selection.SelectionType selectionType)

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Sets whether the interface implementor is selected, unselected or have partially selected children.

  Specified by:
    `setSelectionType` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

### getDisplayableName

    public java.lang.String getDisplayableName()

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Answers the UI displayable element name.

  Specified by:
    `getDisplayableName` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

### getToolTip

    public java.lang.String getToolTip()

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Answers tooltip text for this element. If the return ed value is null, tooltip will not be displayed in UI.

  Specified by:
    `getToolTip` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

### isToolTipAlwaysShown

    public boolean isToolTipAlwaysShown()

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Answers whether the tooltip should be always shown regardless the displayable name visibility.

  Specified by:
    `isToolTipAlwaysShown` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

### getChildren

    public java.util.List<com.sun.javatest.tool.selectiontree.selection.SelectionElement> getChildren()

  Description copied from interface: `com.sun.javatest.tool.selectiontree.selection.SelectionElement`
  Answer the list with children.

  Specified by:
    `getChildren` in interface `com.sun.javatest.tool.selectiontree.selection.SelectionElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.